Subject: [TLS] Additional ECC curves

From: Simon Josefsson <[email-masked]>
Date: Thu, 11 Sep 2014 23:31:57 +0200

Hi all,

I've updated our "additional curves" document to cover registration of
all Safe Curves currently listed on DJBs page.  While I have only seen
genuine interest for a couple of these for TLS, I think it will drive
more experimentation if they are all included in a single document.

The list of supported curves are now: M-221 (aka Curve2213), E-222,
Curve1174, E-382, M-383, Curve383187, Curve41417 (aka Curve3617),
Ed448-Goldilocks, M-511 (aka Curve511187), and E-521.  Remember,
Curve25519 is covered by my other draft.

http://tools.ietf.org/html/draft-josefsson-tls-additional-curves-01

/Simon